# $Revision: 1.7 $, $Date: 2004/03/22 12:25:21 $
Summary:	Create diffs/patches for text/binary files
Summary(pl):	Tworzenie diffw/at dla plikw tekstowych i binarnych
Name:		libxdiff
Version:	0.7
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.xmailserver.org/%{name}-%{version}.tar.gz
# Source0-md5:	df55fb2e5b6ab1478412dde02379221c
Patch0:		%{name}-shared.patch
URL:		http://www.xmailserver.org/xdiff-lib.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives described
in "An O(ND) Difference Algorithm and Its Variations" by Eugene W.
Myers. Memory files used by the library are basically a collection of
buffers that store the file content.

%description -l pl
Biblioteka LibXDiff ma zaimplementowan podstawow i prawie kompletn
funkcjonalno do tworzenia plikw rnicowych/atek zarwno dla
plikw binarnych jak i tekstowych. Wykorzystuje pliki pamiciowe w
celu uzyskania zarwno wydajnoci, jak i przenonoci. Dla plikw
binarnych wykorzystuje (z drobnymi modyfikacjami) algorytm opisany w
ksice "Wsparcie Systemu Plikw dla Kompresji Delta" autorstwa Joshuy
P. Macdonalda. Dla plikw tekstowych postpuje zgodnie z zaleceniami
opisanymi w "Algorytm rnicowy O(ND) i jego wariacje" autorstwa
Eugene W. Myers. Pliki pamiciowe uyte w bibliotece s w zasadzie
kolekcj buforw przechowujcych zawarto pliku.

%package devel
Summary:	Header files for libxdiff library
Summary(pl):	Pliki nagwkowe biblioteki libxdiff
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libxdiff library.

%description devel -l pl
Pliki nagwkowe biblioteki libxdiff.

%package static
Summary:	Static libxdiff library
Summary(pl):	Statyczna biblioteka libxdiff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libxdiff library.

%description static -l pl
Statyczna biblioteka libxdiff.

%prep
%setup -q
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/xdiff.h
%{_mandir}/man3/xdiff.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxdiff.spec,v $
Revision 1.7  2004/03/22 12:25:21  adamg
- release 1

Revision 1.6  2004/02/15 23:22:05  adamg
- updated to 0.7

Revision 1.5  2004/02/13 19:20:44  adamg
- reverted bogus commit

Revision 1.3  2004/01/09 09:40:59  qboosh
- added shared patch, PROPERLY build shared library (using PIC objects etc.)
- moved xdiff(3) manual to -devel

Revision 1.2  2004/01/09 09:30:15  qboosh
- pl fixes, cosmetics, BR: ac,am,lt

Revision 1.1  2004/01/08 23:44:03  adamg
- initial import
